%global pypi_name ansible-runner
%global python3_pkgversion 38

%define _python_bytecompile_errors_terminate_build 0
%global commitId e5a8b365e5c7ad2da3f3b1e0478aeed76bcab85f

Name:           %{pypi_name}
Version:        2.1.3
Release:        1%{?dist}
Summary:        A tool and python library to interface with Ansible

License:        ASL 2.0
URL:            https://github.com/ansible/ansible-runner
Source0:        ansible-runner-e5a8b365e5c7ad2da3f3b1e0478aeed76bcab85f.tar.gz
BuildArch:      noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-pbr
BuildRequires: python%{python3_pkgversion}-rpm-macros
Requires:      python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}

%description
Ansible Runner is a tool and python library that helps when interfacing with
Ansible from other systems whether through a container image interface, as a
standalone tool, or imported into a python project.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-pyyaml
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-daemon
Requires:       python%{python3_pkgversion}-six
Requires:       python%{python3_version}dist(pexpect) >= 4.6
Requires:       python%{python3_version}dist(lockfile)

%description -n python%{python3_pkgversion}-%{pypi_name}
Ansible Runner is a tool and python library that helps when interfacing with
Ansible from other systems whether through a container image interface, as a
standalone tool, or imported into a python project.

%prep
%autosetup -p 1 -n %{pypi_name}-%{commitId}

cat > PKG-INFO<<EOF
Metadata-Version: 1.0
Name: ansible-runner
Version: %{version}
Summary: %{summary}
Author-email: info@ansible.com
License: UNKNOWN
Platform: UNKNOWN
EOF
cat PKG-INFO

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
cp %{buildroot}/%{_bindir}/ansible-runner %{buildroot}/%{_bindir}/ansible-runner-%{python3_version}
ln -s %{_bindir}/ansible-runner-%{python3_version} %{buildroot}/%{_bindir}/ansible-runner-3

%files
%defattr(-,root,root)

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/*
%{_bindir}/ansible-runner
%{_bindir}/ansible-runner-3
%{_bindir}/ansible-runner-%{python3_version}
%{_datadir}/ansible-runner/*

%changelog
* Thu Mar 24 2022 Satoe Imaishi <simaishi@redhat.com> - 2.1.3-1
- Ansible Runner 2.1.3-1

* Thu Jan 27 2022 Satoe Imaishi <simaishi@redhat.com> - 2.1.1-2
- Ansible Runner 2.1.1-2
  Fixes CVE-2021-4112 (Privilege escalation via job isolation escape)

* Wed Nov 17 2021 Satoe Imaishi <simaishi@redhat.com> - 2.1.1-1
- Ansible Runner 2.1.1-1

* Fri Jul 02 2021 Satoe Imaishi <simaishi@redhat.com> - 2.0.1-1
- Ansible Runner 2.0.1-1

* Mon Jun 28 2021 Satoe Imaishi <simaishi@redhat.com> - 2.0.0-1
- Ansible Runner 2.0.0-1

* Thu Mar 19 2020 Ryan Petrello <rpetrell@redhat.com> - 1.4.6-1
- Ansible Runner 1.4.6-1

* Thu Mar 19 2020 Matthew Jones <matburt@redhat.com> - 1.4.5-1
- Ansible Runner 1.4.5-1

* Tue Feb 25 2020 Yanis Guenane <yguenane@redhat.com> - 1.4.4-3
- Ansible Runner 1.4.4-3

* Fri Oct 25 2019 Matthew Jones <matburt@redhat.com> - 1.4.4-1
- Ansible Runner 1.4.4-1

* Thu Oct 17 2019 Matthew Jones <matburt@redhat.com> - 1.4.2-1
- Ansible Runner 1.4.2-1

* Thu Oct 03 2019 Matthew Jones <matburt@redhat.com> - 1.4.1-1
- Ansible Runner 1.4.1-1

* Mon Sep 23 2019 Shane McDonald <shanemcd@redhat.com> - 1.4.0-1
- Ansible Runner 1.4.0-1
- Support for EL 7.7 (defaults to python2)

* Wed Apr 24 2019 Shane McDonald <shanemcd@redhat.com> - 1.3.4-1
- Ansible Runner 1.3.4-1
- Adopted modified upstream spec file for python3 support
